import bolum11.dizi;
import bolum11.EmptyListException;

public class diziTesti
{
public static void main(String args[])
{
dizi d=new dizi();
Boolean b=new Boolean(true);
Character c=new Character('$');
Integer i=new Integer(34567);
String s=new String("hello");
d.ekle(b);
d.print();
d.ekle(c);
d.print();
d.ekle(i);
d.print();
d.ekle(s);
d.print();
Object cekilen;
try
{
while(true)
 {
 cekilen=d.cek();
 System.out.println(cekilen.toString()+" diziden cekildi");
 d.print();
 }
}
catch(EmptyListException e)
{System.err.println("\n"+e.toString());}
}
}
